
QGIS Application - Bug report #1378

python plugin not loaded

2008-10-26 09:57 AM - Gerhard Spieles

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11438

Description

Qgis 1.0 dev (priview) is load following window appears.

Plugin konnte nicht geladen werdenspatial_operations konnte durch einen Fehler beim Aufruf dessen initGui()-Methode nicht laden.

Traceback (most recent call last):

  File "", line 1, in 

  File "C:/Dokumente und Einstellungen/Gerhard/.qgis//python/plugins\\spatial_operations\\spatial_operations.py", line 35, in initGui

    self.iface.getMainWindow())

[[AttributeError]]: getMainWindow

Python-Version:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Python-Pfad:

['C:/Programme/QGIS-Dev/./python', 'C:/Dokumente und Einstellungen/Gerhard/.qgis//python/plugins',

'C:/Programme/QGIS-Dev/./python/plugins', 'C:\\\\Programme\\\\QGIS-Dev\\\\python25.zip', '.\\\\DLLs', '.\\\\lib', '.\\\\lib\\\\plat-win',

'.\\\\lib\\\\lib-tk', 'C:\\\\Programme\\\\QGIS-Dev']

History

#1 - 2008-10-26 10:37 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

There're currently a lot of API changes going on to cleanup the API for the release of version 1.0. See http://wiki.qgis.org/qgiswiki/VisualChangeLog1.0.0

for details.

So this is a plugin "bug", but there's not much point in fixing the plugins now. Once the API stablizes all plugins need to be updated for the new API.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
